
Cook: apngopt 1.4
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): zlib-dev-1.2.11
Installing (pkg/local): libpng16-1.6.34
Installing (pkg/local): libpng16-dev-1.6.34
Extracting source archive "apngopt-1.4-src.zip"

Executing: compile_rules
CFLAGS   : -march=i486  -Os -pipe -mindirect-branch=thunk -D_GLIBCXX_USE_C99_MATH=1
LDFLAGS  : -Wl,-Os,--as-needed

mkdir -p obj/. obj/7z obj/zopfli
gcc -o obj/./apngopt.o -c apngopt.cpp -I./. -I./7z -I./zopfli -Wall -pedantic -O2
gcc -o obj/7z/WindowOut.o -c 7z/WindowOut.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/OutByte.o -c 7z/OutByte.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/InByte.o -c 7z/InByte.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/LenCoder.o -c 7z/LenCoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/LiteralCoder.o -c 7z/LiteralCoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/LSBFEncoder.o -c 7z/LSBFEncoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/WindowIn.o -c 7z/WindowIn.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/AriBitCoder.o -c 7z/AriBitCoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/LSBFDecoder.o -c 7z/LSBFDecoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
In file included from 7z/WindowIn.cc:2:0:
7z/WindowIn.h: In member function 'INT NStream::NWindow::CIn::GetMatchLen(INT, INT, INT) const':
7z/WindowIn.h:69:5: warning: this 'if' clause does not guard... [-Wmisleading-indentation]
     if(m_StreamEndWasReached)
     ^~
7z/WindowIn.h:72:7: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the 'if'
       aBack++;
       ^~~~~
gcc -o obj/7z/7zlzma.o -c 7z/7zlzma.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/LZMADecoder.o -c 7z/LZMADecoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/HuffmanEncoder.o -c 7z/HuffmanEncoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/7zdeflate.o -c 7z/7zdeflate.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
In file included from 7z/BinTree.h:2:0,
                 from 7z/BinTreeMF.h:4,
                 from 7z/BinTree2.h:10,
                 from 7z/LZMAEncoder.h:12,
                 from 7z/7zlzma.cc:3:
7z/WindowIn.h: In member function 'INT NStream::NWindow::CIn::GetMatchLen(INT, INT, INT) const':
7z/WindowIn.h:69:5: warning: this 'if' clause does not guard... [-Wmisleading-indentation]
     if(m_StreamEndWasReached)
     ^~
7z/WindowIn.h:72:7: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the 'if'
       aBack++;
       ^~~~~
gcc -o obj/7z/IInOutStreams.o -c 7z/IInOutStreams.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
In file included from 7z/BinTree.h:2:0,
                 from 7z/BinTree3Z.h:9,
                 from 7z/DeflateEncoder.h:4,
                 from 7z/7zdeflate.cc:3:
7z/WindowIn.h: In member function 'INT NStream::NWindow::CIn::GetMatchLen(INT, INT, INT) const':
7z/WindowIn.h:69:5: warning: this 'if' clause does not guard... [-Wmisleading-indentation]
     if(m_StreamEndWasReached)
     ^~
7z/WindowIn.h:72:7: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the 'if'
       aBack++;
       ^~~~~
gcc -o obj/7z/DeflateEncoder.o -c 7z/DeflateEncoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/LZMAEncoder.o -c 7z/LZMAEncoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/DeflateDecoder.o -c 7z/DeflateDecoder.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
In file included from 7z/BinTree.h:2:0,
                 from 7z/BinTreeMF.h:4,
                 from 7z/BinTree2.h:10,
                 from 7z/LZMAEncoder.h:12,
                 from 7z/LZMAEncoder.cc:2:
7z/WindowIn.h: In member function 'INT NStream::NWindow::CIn::GetMatchLen(INT, INT, INT) const':
7z/WindowIn.h:69:5: warning: this 'if' clause does not guard... [-Wmisleading-indentation]
     if(m_StreamEndWasReached)
     ^~
7z/WindowIn.h:72:7: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the 'if'
       aBack++;
       ^~~~~
In file included from 7z/BinTree.h:2:0,
                 from 7z/BinTree3Z.h:9,
                 from 7z/DeflateEncoder.h:4,
                 from 7z/DeflateEncoder.cc:1:
7z/WindowIn.h: In member function 'INT NStream::NWindow::CIn::GetMatchLen(INT, INT, INT) const':
7z/WindowIn.h:69:5: warning: this 'if' clause does not guard... [-Wmisleading-indentation]
     if(m_StreamEndWasReached)
     ^~
7z/WindowIn.h:72:7: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the 'if'
       aBack++;
       ^~~~~
gcc -o obj/7z/CRC.o -c 7z/CRC.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/7z/LZMA.o -c 7z/LZMA.cc -I./. -I./7z -I./zopfli -Wall -pedantic -O2 -Wno-sign-compare -Wno-reorder -Wno-maybe-uninitialized -Wno-parentheses
gcc -o obj/zopfli/deflate.o -c zopfli/deflate.c -I./. -I./7z -I./zopfli -Wall -pedantic -O2
gcc -o obj/zopfli/blocksplitter.o -c zopfli/blocksplitter.c -I./. -I./7z -I./zopfli -Wall -pedantic -O2
gcc -o obj/zopfli/zopfli_lib.o -c zopfli/zopfli_lib.c -I./. -I./7z -I./zopfli -Wall -pedantic -O2
gcc -o obj/zopfli/squeeze.o -c zopfli/squeeze.c -I./. -I./7z -I./zopfli -Wall -pedantic -O2
gcc -o obj/zopfli/lz77.o -c zopfli/lz77.c -I./. -I./7z -I./zopfli -Wall -pedantic -O2
gcc -o obj/zopfli/gzip_container.o -c zopfli/gzip_container.c -I./. -I./7z -I./zopfli -Wall -pedantic -O2
gcc -o obj/zopfli/katajainen.o -c zopfli/katajainen.c -I./. -I./7z -I./zopfli -Wall -pedantic -O2
gcc -o obj/zopfli/hash.o -c zopfli/hash.c -I./. -I./7z -I./zopfli -Wall -pedantic -O2
gcc -o obj/zopfli/util.o -c zopfli/util.c -I./. -I./7z -I./zopfli -Wall -pedantic -O2
gcc -o obj/zopfli/cache.o -c zopfli/cache.c -I./. -I./7z -I./zopfli -Wall -pedantic -O2
gcc -o obj/zopfli/zlib_container.o -c zopfli/zlib_container.c -I./. -I./7z -I./zopfli -Wall -pedantic -O2
gcc -o obj/zopfli/tree.o -c zopfli/tree.c -I./. -I./7z -I./zopfli -Wall -pedantic -O2
gcc -o apngopt obj/./apngopt.o obj/7z/WindowOut.o obj/7z/OutByte.o obj/7z/InByte.o obj/7z/LenCoder.o obj/7z/LiteralCoder.o obj/7z/LSBFEncoder.o obj/7z/WindowIn.o obj/7z/AriBitCoder.o obj/7z/LSBFDecoder.o obj/7z/7zlzma.o obj/7z/LZMADecoder.o obj/7z/HuffmanEncoder.o obj/7z/7zdeflate.o obj/7z/IInOutStreams.o obj/7z/DeflateEncoder.o obj/7z/LZMAEncoder.o obj/7z/DeflateDecoder.o obj/7z/CRC.o obj/7z/LZMA.o obj/zopfli/deflate.o obj/zopfli/blocksplitter.o obj/zopfli/zopfli_lib.o obj/zopfli/squeeze.o obj/zopfli/lz77.o obj/zopfli/gzip_container.o obj/zopfli/katajainen.o obj/zopfli/hash.o obj/zopfli/util.o obj/zopfli/cache.o obj/zopfli/zlib_container.o obj/zopfli/tree.o -s -lstdc++ -lm -lpng -lz
================================================================================

================================================================================


Build dependencies to remove: 3
Removing: libpng16 libpng16-dev zlib-dev


Pack: apngopt 1.4
================================================================================
Executing: genpkg_rules
Copying folders and files...                                           Done
Copying "receipt"...                                                   Done
Copying "description.txt"...                                           Done
Executing strip on all files...                                        Done
  Time: 0.11s. Size: 145060 B -> 145060 B. Save: 0 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
Removing old package "apngopt-1.4.tazpkg"                              Done
The release checksum has changed.
================================================================================
Package "apngopt-1.4.tazpkg" created


Summary for: apngopt 1.4
================================================================================
Src file    : apngopt-1.4-src.zip
Src size    : 568.0K
Source dir  : 2.9M
Produced    : 156.0K
Cook time   : 8s
Cook date   : 2018-06-11 13:23
Target arch : i486
--------------------------------------------------------------------------------
 # :  Packed : Compressed : Files : Package name
--------------------------------------------------------------------------------
 1 :  176.0K :      60.2K :     1 : apngopt-1.4.tazpkg
================================================================================
